<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.179
Name: Diagnosi RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046">
   <title>Diagnosi RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]
Item: (DiagnosiRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]"
         id="d42e4484-false-d100118e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]) &gt;= 1">(DiagnosiRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]) &lt;= 1">(DiagnosiRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]
Item: (DiagnosiRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]"
         id="d42e4495-false-d100147e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(DiagnosiRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="string(@moodCode) = ('EVN')">(DiagnosiRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']) &gt;= 1">(DiagnosiRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']) &lt;= 1">(DiagnosiRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(DiagnosiRAP): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(DiagnosiRAP): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:text) &lt;= 1">(DiagnosiRAP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:value) &gt;= 1">(DiagnosiRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:value) &lt;= 1">(DiagnosiRAP): element hl7:value appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]) &lt;= 1">(DiagnosiRAP): element hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]) &lt;= 1">(DiagnosiRAP): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']
Item: (DiagnosiRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']"
         id="d42e4503-false-d100215e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.179')">(DiagnosiRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.179'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:code[not(@nullFlavor)]
Item: (DiagnosiRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:code[not(@nullFlavor)]"
         id="d42e4505-false-d100226e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(DiagnosiRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(DiagnosiRAP): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(DiagnosiRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(DiagnosiRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:text
Item: (DiagnosiRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:value
Item: (DiagnosiRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:value"
         id="d42e4517-false-d100254e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(DiagnosiRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]
Item: (DiagnosiRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.174
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]
Item: (OssMacroscopica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="string(@typeCode) = ('SPC') or not(@typeCode)">(OssMacroscopica): The value for typeCode SHALL be 'SPC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]) &gt;= 1">(OssMacroscopica): element hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]) &lt;= 1">(OssMacroscopica): element hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.174
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]
Item: (OssMacroscopica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="string(@classCode) = ('SPEC') or not(@classCode)">(OssMacroscopica): The value for classCode SHALL be 'SPEC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']) &gt;= 1">(OssMacroscopica): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']) &lt;= 1">(OssMacroscopica): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:id) &gt;= 1">(OssMacroscopica): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="count(hl7:id) &lt;= 1">(OssMacroscopica): element hl7:id appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.174
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']
Item: (OssMacroscopica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.174')">(OssMacroscopica): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.174'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.174
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]/hl7:id
Item: (OssMacroscopica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:specimen[hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]]/hl7:specimenRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.174']]/hl7:id">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="@root">(OssMacroscopica): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(OssMacroscopica): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="@extension">(OssMacroscopica): attribute @extension SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.174-2022-09-26T144919.html"
              test="not(@extension) or string-length(@extension)&gt;0">(OssMacroscopica): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.179
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]
Item: (DiagnosiRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.179']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="@typeCode">(DiagnosiRAP): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230131T142624/tmp-2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(DiagnosiRAP): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>
</pattern>
